"cViz" <-
function (feature, bandPosFile, refSp="human") 
{
    # SUBSET
    featureSet <- subset(feature, !is.na(begin))
    for(i in 1:8) {
       featureSet[[i]] <- as.vector(featureSet[[i]])
    }    
    featureSet <- subset(featureSet, value!=0)
    sel <- featureSet$chrom %in% bandPosFile$chrom
    featureSet <- featureSet[sel, ]
        
    chromList <- cViz.distinctNames(featureSet$chrom)
    #chromList <- cViz.distinctNames(bandPosFile$chrom)   
    

    lenOfChromList <- length(chromList)
    for (i in 1:lenOfChromList) {
        theChrom <- chromList[i]
        frameDesign <- list()
        frameDesign$height <- 2.5
        frameDesign$top <- 1.5
        frameDesign$bottom <- 1
        frameDesign$cex <- 0.7
        frameDesign$interval <- 0.5
        frameDesign$imgFileWidth <- 800/80
        frameDesign$imgFileHeight <- 150/80
        frameDesign$mai <- c(0.1, 0.1, 0.1, 0.1)
        eachChr <- subset(bandPosFile, chrom == theChrom)
        cViz.drawChr(eachChr, theChrom, frameDesign, refSp)
        frameDesign$height <- 2.5
        frameDesign$top <- 2
        frameDesign$bottom <- 1
        frameDesign$imgFileHeight <- 50/80
        trackList <- cViz.drawFeature(featureSet, eachChr, theChrom, 
            frameDesign)                           
        cViz.makeChromWrapperHtml(theChrom, trackList)
        
    }        
    
    for (i in 1:lenOfChromList) {
        theChrom <- chromList[i]
        chrSVGFile <- paste(theChrom, "svg", sep = ".")
        pat <- paste("^", theChrom, "[.].+.(.svg$)", sep = "")
        otherSVGFileList <- list.files(path = ".", pattern = pat)
        outFile <- paste("merged", chrSVGFile, sep = ".")
        cViz.mergeSVG(chrSVGFile, otherSVGFileList, outFile)
        otherSVGFileList <- append(otherSVGFileList, chrSVGFile)
    }
    cViz.makeHeaderHtml("header")
    cViz.makeFrameHtml("index", chromList[1])
    data(svgControl)
    write(svgControl, file = "control.js")
}

