"cViz.addAnnoNodes2SVG" <-
function(svgFile, curGid, theItems) {
    inFile <- xmlTreeParse(svgFile)
    curNode <- inFile$doc$children$svg
    
    ### CREATE ancestor NODE 
    ancestorAttrs <- xmlAttrs(curNode)
    ### INSERT NAMESPACE INFORMATION
    ancestorAttrs <- append(ancestorAttrs, "http://www.w3.org/1999/xlink")
    names(ancestorAttrs)[length(ancestorAttrs)] <- "xmlns\:xlink"
    ancestorNode <- xmlNode("svg", attrs=ancestorAttrs)
      
    ### CREATE g NODE
    rootNode <-  xmlNode("g", attrs=c(id=curGid))
    
    ### COPY CHILDREN to THE root NODE
    childList <- xmlChildren(curNode)
    childListName <- names(childList)
    childNodeNum <- xmlSize(childList)   
    for(j in 3:childNodeNum) {
        if(childListName[j] == "rect") {
           childList[[j]] <- cViz.insertNewAttrValue(childList[[j]],
                            "id",  theItems[j-2]) 
        }            
        rootNode <- append.XMLNode(rootNode, childList[[j]])
    }
    ancestorNode <- append.XMLNode(ancestorNode, rootNode )
    
    ### APPEND use NODE to THE root NODE
    useAttrs <- c(id=paste(curGid, "1", sep="\_"), info=0,
                  "xlink\:href"=paste("\#",curGid, sep=""),
                  transform="translate(0,0)", x="0", y="0",
                  style="stroke-opacity:.4", visibility="hidden")
    useNode <- xmlNode("use", attrs=useAttrs)    
    ancestorNode <- append.XMLNode(ancestorNode, useNode)
            
    ### WRITE INTO A FILE     
    fileHeader <- "\<?xml version=\"1.0\" standalone=\"yes\"?\>"
    fileContents <- paste(fileHeader, toString(ancestorNode), sep="")       
    cat(fileContents, file=svgFile, append=F)                      
    #cat(toString(ancestorNode), file=svgFile, append=F)
}

