"cViz.drawFeature" <-
function (inFile, eachChr, theChrom, frameDesign)
{
  ### SET FRAME DESIGN PARAMETERS
  top <-  frameDesign$top
  bottom <- frameDesign$bottom
  cex <- frameDesign$cex

  ### SELECT FEATURE
  distinctNames <- sort( cViz.distinctNames(inFile$track)  )  
  lenOfDistinctNames <- length(distinctNames)

  ### CHOOSE NAMES ONLY WITH VALUES FROM THE distinctNames
  chosenDistinctNames <- vector()

  itemList <- list()
  for(j in 1:lenOfDistinctNames) {
      subChunk <- subset(inFile, 
               (track == distinctNames[j] ) & (chrom == theChrom) & (value != 0.0)) 
    
      if(length(subChunk$track) > 0) {
          chosenDistinctNames <- append(chosenDistinctNames, distinctNames[j])
         
          ### item 
          ###   example) accession number
          itemList[[j]] <- as.vector(subChunk$item)
          
          pngFileName <- paste(theChrom, distinctNames[j],  sep=".")

          ### PREPARE FRAME
          svgFile <- paste(pngFileName, "svg", sep=".")
          devSVG(file=svgFile,   width = frameDesign$imgFileWidth,  
                 height=frameDesign$imgFileHeight)

#   png(file=paste(pngFileName, "png", sep="."), 
#         width=frameDesign$imgFileWidth, height=frameDesign$imgFileHeight)
          par(mai=frameDesign$mai)
          plot(c(0, 0), c(0, frameDesign$top), type="n",  xlim=c(0, max(eachChr$end)*1.1),  
               axes=F,  xlab="", ylab="" ) 

          ### VALUE
          len <- length(subChunk$begin)
          scale <- (top-bottom)/max(abs(subChunk$value))
          for(k in 1:len) {
             rect( subChunk$begin[k], bottom,
                   subChunk$end[k],  bottom+subChunk$value[k]*scale,
                   border="orangered", col="orangered")
#       rect( subChunk$begin[k], bottom,
#          subChunk$begin[k],  bottom+subChunk$value[k]*scale,
#               border="orangered", col="orangered")
          }  
          lines( c(min(eachChr$begin),  max(eachChr$end)), c(bottom, bottom), col="gray") 
          mtext(text=subChunk$track[len], side=4, at=c(max(eachChr$end)*1.05, bottom), 
                las=2, adj=1, font=1, cex=cex)
          dev.off()
    
          ### APPEND ANNOTATION NODES TO THE SVG NODE
          curGid <- distinctNames[j]
          cViz.addAnnoNodes2SVG(svgFile, curGid, itemList[[j]])                 
      }
  } # THE END OF for LOOP 
  
  chosenDistinctNames
}

